**Full name**: projects.locations.tensorboards.experiments.runs.timeSeries.list

Lists TensorboardTimeSeries in a Location.

### Endpoint

get `https://{service-endpoint}/v1/{parent}/timeSeries`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The resource name of the TensorboardRun to list TensorboardTimeSeries. Format: `projects/{project}/locations/{location}/tensorboards/{tensorboard}/experiments/{experiment}/runs/{run}`

### Query parameters

`filter` `string` Lists the TensorboardTimeSeries that match the filter expression.
`pageSize` `integer` The maximum number of TensorboardTimeSeries to return. The service may return fewer than this value. If unspecified, at most 50 TensorboardTimeSeries are returned. The maximum value is 1000; values above 1000 are coerced to 1000.
`pageToken` `string` A page token, received from a previous `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs.timeSeries/list#google.cloud.aiplatform.v1.TensorboardService.ListTensorboardTimeSeries` call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs.timeSeries/list#google.cloud.aiplatform.v1.TensorboardService.ListTensorboardTimeSeries` must match the call that provided the page token.
`orderBy` `string` Field to use to sort the list.
`readMask` ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Mask specifying which fields to read.

This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`.

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs.timeSeries/list#google.cloud.aiplatform.v1.TensorboardService.ListTensorboardTimeSeries`.

If successful, the response body contains data with the following structure:
Fields `tensorboardTimeSeries[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs.timeSeries#TensorboardTimeSeries`)`` The TensorboardTimeSeries mathching the request.
`nextPageToken` `string` A token, which can be sent as `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs.timeSeries/list#body.QUERY_PARAMETERS.page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.

| JSON representation |
|---|
| ``` { "tensorboardTimeSeries": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs.timeSeries#TensorboardTimeSeries`) } ], "nextPageToken": string } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `aiplatform.tensorboardTimeSeries.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).